Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.io
Class ISO88591Encoder

    java.lang.Object
      com.novell.io.CharEncoder
          com.novell.io.ISO88591Encoder

    public class ISO88591Encoder

extends CharEncoder

Encoder for ISO-8859-1

Field Summary
`static String` | `NAME` Name of encoding that this encoder implements.

Constructor Summary
`ISO88591Encoder()`

Method Summary
`int` | `encodeChar(int c, byte[] buffer, int off)` Implementation of character encoding
`int` | `encodeChars(char[] chars, int off, int len, byte[] buffer, int outputIndex)` Encode some number of characters into bytes in a buffer.
`String` | `getEncoding()` Return the string identifier for this encoding scheme.

Methods inherited from class com.novell.io.CharEncoder
`doGetClass, getEncoder, registerEncoder, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  Name of encoding that this encoder implements.

  See Also:
    Constant Field Values

Constructor Detail

### ISO88591Encoder

    public ISO88591Encoder()

Method Detail

### encodeChars

    public int encodeChars(char[] chars,
                           int off,
                           int len,
                           byte[] buffer,
                           int outputIndex)
                    throws CharEncodingException,
                           EncodingBufferFullException

  Encode some number of characters into bytes in a buffer.

  Overrides:
    `encodeChars` in class `CharEncoder`
  Parameters:
    `chars` - The array of characters to convert
    `off` - The offset into the array of the first character to convert
    `len` - The number of characters to convert
    `buffer` - The byte array in which to store the encoded bytes
    `outputIndex` - The offset into buffer at which to store the encoded bytes
  Returns:
    The number of bytes stored in the buffer
  Throws:
    `CharEncodingException` - If a character could not be encoded
    `CharEncoderBufferFull` - If the passed buffer is too small
    `EncodingBufferFullException`

### encodeChar

    public int encodeChar(int c,
                          byte[] buffer,
                          int off)
                   throws CharEncodingException,
                          EncodingBufferFullException

  Implementation of character encoding

  Specified by:
    `encodeChar` in class `CharEncoder`
  Parameters:
    `c` - The 32-bit character value to encode
    `buffer` - The byte buffer in which to placed encoded bytes
    `off` - The offset at which to place bytes into the buffer
  Returns:
    The number of bytes placed in the buffer
  Throws:
    `CharEncodingException` - The character could not be encoded in the implemented encoding scheme.
    `EncodingBufferFullException` - There is not enough room in buffer for all the bytes needed to encode the character.

### getEncoding

    public String getEncoding()

  Return the string identifier for this encoding scheme.

  Specified by:
    `getEncoding` in class `CharEncoder`
  Returns:
    The string identifier for this encoding scheme.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD